Subject: Re: [bug#40738] Prometheus (and Alertmanager)

From: Christopher Baines <[email-masked]>
Date: Sun, 03 May 2020 12:17:55 +0100

Ludovic Courtès <[email-masked]> writes:

>> The packages build, but still need quite a bit of work. They're both
>> written in Go, so the Git repositories not only include the relevant
>> source code, but the source code of the entire dependency tree (hence
>> the packages have no inputs). That'll need addressing.
>
> Would the gopkg importer at
> <https://lists.gnu.org/archive/html/guix-devel/2018-04/msg00310.html> be
> of any help?  (I think I posted an updated version later on but I can’t
> find it.)

Yeah, I think getting a working importer is going to be the way to
address this.